#include <stdio.h>
#include <ctype.h>
#include "tokens.h"

char *getNextWord(FILE *src)
/* returns the next "word" (which is simply the next sequence
of alphas) from FILE.  It always returns a static buffer that will be
overwritten by the next call.  Words exceeding TOKENS_WORDLEN will
be truncated. */
{
  static char buf[TOKENS_WORDLEN];
  char *cp=buf;
  int ch;

  do {
    ch = fgetc(src);
  } while (!isalpha(ch) && ch!=EOF);
	if (ch==EOF) {
		return NULL;
	}
  while (isalpha(ch) && ch!=EOF) {
		if (cp-buf<TOKENS_WORDLEN-1) {
	    *cp++ = ch;
		}
    ch = fgetc(src);
  }
	*cp = 0;
  return buf;
}
